;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Workspaces░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/workspaces]
type = internal/xworkspaces

pin-workspaces = false
enable-click = true
enable-scroll = true

format = <label-state>
format-background = ${color.bg}

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
label-active = %name%
label-urgent = %name%
label-occupied = %name%
label-empty = %name%

;label-active = 
;label-urgent = 
;label-occupied = 
;label-empty = 
icon-default = 

label-empty-padding = 1
label-active-padding = 1
label-urgent-padding = 1
label-occupied-padding = 1

label-empty-foreground = ${color.fg}
label-active-foreground = ${color.orange}
label-urgent-foreground = ${color.red}
label-occupied-foreground = ${color.blue-gray}

label-empty-background = ${color.bg-alt}
label-active-background = ${color.bg-alt}
label-urgent-background = ${color.red}
label-occupied-background = ${color.bg-alt}
